Retrieves a specific Catalog Entity by id
curl --request GET \
--url https://api.rootly.com/v1/catalog_entities/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "ca9bd825-a810-42ec-acc5-27463c4a34ad",
"type": "catalog_entities",
"attributes": {
"catalog_id": "17571bb4-b5a5-48d5-9e2b-e214270e3174",
"name": "Test",
"slug": "test",
"position": 1,
"deleted_at": null,
"updated_at": "2026-02-07T16:45:41.907-08:00",
"created_at": "2026-02-07T16:45:41.907-08:00"
},
"relationships": {
"catalog": {
"data": {
"id": "17571bb4-b5a5-48d5-9e2b-e214270e3174",
"type": "catalogs"
}
},
"properties": {
"data": []
}
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Resource UUID
comma separated if needed. eg: catalog,properties
catalog, properties catalog_entity found by slug
Show child attributes
Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/catalog_entities/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "ca9bd825-a810-42ec-acc5-27463c4a34ad",
"type": "catalog_entities",
"attributes": {
"catalog_id": "17571bb4-b5a5-48d5-9e2b-e214270e3174",
"name": "Test",
"slug": "test",
"position": 1,
"deleted_at": null,
"updated_at": "2026-02-07T16:45:41.907-08:00",
"created_at": "2026-02-07T16:45:41.907-08:00"
},
"relationships": {
"catalog": {
"data": {
"id": "17571bb4-b5a5-48d5-9e2b-e214270e3174",
"type": "catalogs"
}
},
"properties": {
"data": []
}
}
}
}